Subject: [alpine-aports] [PATCH] testing/doas: new aport

From: Drew DeVault <[email-masked]>
Date: Sat, 9 Dec 2017 19:37:36 -0500

https://github.com/Duncaen/OpenDoas
OpenBSD's temporary privledge escalation tool
---
 testing/doas/APKBUILD  | 34 ++++++++++++++++++++++++++++++++++
 testing/doas/doas.conf |  4 ++++
 2 files changed, 38 insertions(+)
 create mode 100644 testing/doas/APKBUILD
 create mode 100644 testing/doas/doas.conf

diff --git a/testing/doas/APKBUILD b/testing/doas/APKBUILD
new file mode 100644
index 0000000000..844afc568e
--- /dev/null
+++ b/testing/doas/APKBUILD
@@ -0,0 +1,34 @@
+# Maintainer: Drew DeVault <[email-masked]>
+pkgname=doas
+pkgver=6.0
+pkgrel=0
+pkgdesc="OpenBSD's temporary privledge escalation tool"
+url="https://github.com/Duncaen/OpenDoas"
+arch="all"
+license="BSD"
+makedepends="bison"
+subpackages="$pkgname-doc"
+source="
+    $pkgname-$pkgver.tar.gz::https://github.com/Duncaen/OpenDoas/archive/v6.0.tar.gz
+    doas.conf
+"
+builddir="$srcdir/OpenDoas-$pkgver"
+options="$options !check suid"
+
+build() {
+	cd "$builddir"
+    ./configure \
+        --prefix=/usr \
+        --enable-static \
+        --without-pam || return 1
+    make
+}
+
+package() {
+	cd "$builddir"
+    make install DESTDIR="$pkgdir"
+    install -Dm440 "$srcdir"/doas.conf "$pkgdir"/etc/doas.conf
+}
+
+sha512sums="2bf5e00895a45d87785e7a494a1506844afd843ef5375e0b0e3795ebc24712bb941c6feeb87e426e41a240d40aca9b4c099f77220745bb7142a7a4b303441f60  doas-6.0.tar.gz
+5035ae91293953b292c430334e949e11e5b482c5c91c7f018ac8286a791568a3006499649f487547a262291c0968618522fbc14acb5e2faa2af52accf15bbc49  doas.conf"
diff --git a/testing/doas/doas.conf b/testing/doas/doas.conf
new file mode 100644
index 0000000000..57907748ab
--- /dev/null
+++ b/testing/doas/doas.conf
@@ -0,0 +1,4 @@
+# see doas.conf(5) for configuration details
+
+# Uncomment to allow group "admin" to become root
+# permit :admin
-- 
2.15.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Fri, 12 Oct 2018 21:18:15 +0200

Hi!

On Sat,  9 Dec 2017 19:37:36 -0500

> +++ b/testing/doas/APKBUILD

This package was added to alpine testing a while ago. Does the package
built from official builders work?

Is it up to date?

Can we move it to community?

-nc

---

---

From: Drew DeVault <[email-masked]>
Date: Fri, 12 Oct 2018 15:32:23 -0400

> built from official builders work?

Yes

> Is it up to date?

Yup

> Can we move it to community?

Sure

---